You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     jonat...@freebsd.org
Last committer: jonat...@freebsd.org
Ident:          $FreeBSD: branches/2018Q1/devel/llbuild/Makefile 456130 
2017-12-12 13:16:26Z jonathan $
Log URL:        
http://beefy2.nyi.freebsd.org/data/103amd64-quarterly/461356/logs/llbuild-s.2017.12.10.log
Build URL:      
http://beefy2.nyi.freebsd.org/build.html?mastername=103amd64-quarterly&build=461356
Log:

=>> Building devel/llbuild
build started at Sat Feb 10 01:21:36 UTC 2018
port directory: /usr/ports/devel/llbuild
package name: llbuild-s.2017.12.10
building for: FreeBSD 103amd64-quarterly-job-14 10.3-RELEASE-p26 FreeBSD 
10.3-RELEASE-p26 amd64
maintained by: jonat...@freebsd.org
Makefile ident:      $FreeBSD: branches/2018Q1/devel/llbuild/Makefile 456130 
2017-12-12 13:16:26Z jonathan $
Poudriere version: 3.2.4-49-g17610211
Host OSVERSION: 1200054
Jail OSVERSION: 1003000
Job Id: 14

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1003000
UNAME_v=FreeBSD 10.3-RELEASE-p26
UNAME_r=10.3-RELEASE-p26
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/103amd64-quarterly/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
OLDPWD=/usr/local/poudriere/data/.m/103amd64-quarterly/ref/.p
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
PWD=/usr/local/poudriere/data/.m/103amd64-quarterly/ref/.p/pool
MASTERNAME=103amd64-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.2.4-49-g17610211
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for llbuild-s.2017.12.10:
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
jonat...@freebsd.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/llbuild/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/llbuild/work  
HOME=/wrkdirs/usr/ports/devel/llbuild/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/devel/llbuild/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/llbuild/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/llbuild/work  
HOME=/wrkdirs/usr/ports/devel/llbuild/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/devel/llbuild/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh 
NO_LINT=YES DESTDIR=/wrkdirs/usr/ports/devel/llbuild/work/stage 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
CMAKE_BUILD_TYPE="release" OSREL=10.3 PREFIX=%D LOCALBASE=/usr/local  
RESETPREFIX=/usr/local PORTDOCS="" PORTEXAMPLES="" LIB32DIR=lib 
DOCSDIR="share/doc/llbuild"  EXAMPLESDIR="share/examples/llbuild"  
DATADIR="share/llbuild"  WWWDIR="www/llbuild"  ETCDIR="etc/llbuild"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/llbuild 
DOCSDIR=/usr/local/share/doc/llbuild 
EXAMPLESDIR=/usr/local/share/examples/llbuild  WWWDIR=/usr/local/www/llbuild 
ETCDIR=/usr/local/etc/llbuild
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=amd64
CONFIGURE_MAX_CMD_LEN=262144
HAVE_COMPAT_IA32_KERN=YES
OPSYS=FreeBSD
OSREL=10.3
OSVERSION=1003000
PYTHONBASE=/usr/local
UID=0
_OSRELEASE=10.3-RELEASE-p26
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
sbsize                   (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License APACHE20 BSD3CLAUSE NCSA accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   llbuild-s.2017.12.10 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.3_1.txz
[103amd64-quarterly-job-14] Installing pkg-1.10.3_1...
[103amd64-quarterly-job-14] Extracting pkg-1.10.3_1: .......... done
===>   llbuild-s.2017.12.10 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of llbuild-s.2017.12.10
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License APACHE20 BSD3CLAUSE NCSA accepted by the user
===> Fetching all distfiles required by llbuild-s.2017.12.10 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License APACHE20 BSD3CLAUSE NCSA accepted by the user
===> Fetching all distfiles required by llbuild-s.2017.12.10 for building
=> SHA256 Checksum OK for 
apple-swift-llbuild-swift-DEVELOPMENT-SNAPSHOT-2017-12-10-a_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License APACHE20 BSD3CLAUSE NCSA accepted by the user
===> Fetching all distfiles required by llbuild-s.2017.12.10 for building
===>  Extracting for llbuild-s.2017.12.10
=> SHA256 Checksum OK for 
apple-swift-llbuild-swift-DEVELOPMENT-SNAPSHOT-2017-12-10-a_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for llbuild-s.2017.12.10
===>  Applying FreeBSD patches for llbuild-s.2017.12.10
===========================================================================
=======================<phase: build-depends  >============================
===>   llbuild-s.2017.12.10 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.10.1_1.txz
[103amd64-quarterly-job-14] Installing cmake-3.10.1_1...
[103amd64-quarterly-job-14] `-- Installing curl-7.58.0...
[103amd64-quarterly-job-14] |   `-- Installing ca_root_nss-3.35...
[103amd64-quarterly-job-14] |   `-- Extracting ca_root_nss-3.35: ........ done
[103amd64-quarterly-job-14] |   `-- Installing libnghttp2-1.29.0...
[103amd64-quarterly-job-14] |   `-- Extracting libnghttp2-1.29.0: .......... 
done
[103amd64-quarterly-job-14] `-- Extracting curl-7.58.0: .......... done
[103amd64-quarterly-job-14] `-- Installing expat-2.2.5...
[103amd64-quarterly-job-14] `-- Extracting expat-2.2.5: .......... done
[103amd64-quarterly-job-14] `-- Installing jsoncpp-1.8.1_2...
[103amd64-quarterly-job-14] `-- Extracting jsoncpp-1.8.1_2: .......... done
[103amd64-quarterly-job-14] `-- Installing libarchive-3.3.2,1...
[103amd64-quarterly-job-14] |   `-- Installing liblz4-1.8.0,1...
[103amd64-quarterly-job-14] |   `-- Extracting liblz4-1.8.0,1: .......... done
[103amd64-quarterly-job-14] |   `-- Installing lzo2-2.10_1...
[103amd64-quarterly-job-14] |   `-- Extracting lzo2-2.10_1: .......... done
[103amd64-quarterly-job-14] `-- Extracting libarchive-3.3.2,1: .......... done
[103amd64-quarterly-job-14] `-- Installing libuv-1.18.0...
[103amd64-quarterly-job-14] `-- Extracting libuv-1.18.0: .......... done
[103amd64-quarterly-job-14] `-- Installing rhash-1.3.5...
[103amd64-quarterly-job-14] `-- Extracting rhash-1.3.5: .......... done
[103amd64-quarterly-job-14] Extracting cmake-3.10.1_1: .......... done
Message from ca_root_nss-3.35:

********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   llbuild-s.2017.12.10 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of llbuild-s.2017.12.10
===>   llbuild-s.2017.12.10 depends on executable: ninja - not found
===>   Installing existing package /packages/All/ninja-1.8.2,2.txz
[103amd64-quarterly-job-14] Installing ninja-1.8.2,2...
[103amd64-quarterly-job-14] `-- Installing python27-2.7.14_1...
[103amd64-quarterly-job-14] |   `-- Installing gettext-runtime-0.19.8.1_1...
[103amd64-quarterly-job-14] |   | `-- Installing indexinfo-0.3.1...
[103amd64-quarterly-job-14] |   | `-- Extracting indexinfo-0.3.1: .... done
[103amd64-quarterly-job-14] |   `-- Extracting gettext-runtime-0.19.8.1_1: 
.......... done
[103amd64-quarterly-job-14] |   `-- Installing libffi-3.2.1_2...
[103amd64-quarterly-job-14] |   `-- Extracting libffi-3.2.1_2: .......... done
[103amd64-quarterly-job-14] |   `-- Installing readline-7.0.3_1...
[103amd64-quarterly-job-14] |   `-- Extracting readline-7.0.3_1: .......... done
[103amd64-quarterly-job-14] `-- Extracting python27-2.7.14_1: .......... done
[103amd64-quarterly-job-14] Extracting ninja-1.8.2,2: ....... done
Message from python27-2.7.14_1:

===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   llbuild-s.2017.12.10 depends on executable: ninja - found
===>   Returning to build of llbuild-s.2017.12.10
===========================================================================
=======================<phase: lib-depends    >============================
===>   llbuild-s.2017.12.10 depends on shared library: libsqlite3.so - not found
===>   Installing existing package /packages/All/sqlite3-3.21.0_1.txz
[103amd64-quarterly-job-14] Installing sqlite3-3.21.0_1...
[103amd64-quarterly-job-14] Extracting sqlite3-3.21.0_1: .......... done
===>   llbuild-s.2017.12.10 depends on shared library: libsqlite3.so - found 
(/usr/local/lib/libsqlite3.so)
===>   Returning to build of llbuild-s.2017.12.10
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for llbuild-s.2017.12.10
===>  Performing out-of-source build
/bin/mkdir -p /wrkdirs/usr/ports/devel/llbuild/work/.build
-- The C compiler identification is Clang 3.4.1
-- The CXX compiler identification is Clang 3.4.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Failed to locate 'lit' executable (missing: LIT_EXECUTABLE) 
-- Failed to locate 'FileCheck' executable (missing: FILECHECK_EXECUTABLE) 
-- Found PythonInterp: /usr/local/bin/python2.7 (found version "2.7.14") 
-- Not building Swift bindings
-- Performing Test CXX_SUPPORTS_DOCUMENTATION_FLAG
-- Performing Test CXX_SUPPORTS_DOCUMENTATION_FLAG - Failed
-- Performing Test CXX_SUPPORTS_IMPLICIT_FALLTHROUGH_FLAG
-- Performing Test CXX_SUPPORTS_IMPLICIT_FALLTHROUGH_FLAG - Failed
-- Performing Test CXX_SUPPORTS_UNREACHABLE_CODE_FLAG
-- Performing Test CXX_SUPPORTS_UNREACHABLE_CODE_FLAG - Failed
-- Performing Test CXX_SUPPORTS_OVERLOADED_VIRTUAL
-- Performing Test CXX_SUPPORTS_OVERLOADED_VIRTUAL - Failed
-- Not configuring tests (missing requirements)
-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    CMAKE_COLOR_MAKEFILE
    CMAKE_CXX_FLAGS_DEBUG
    CMAKE_C_FLAGS_DEBUG
    CMAKE_MODULE_LINKER_FLAGS
    CMAKE_VERBOSE_MAKEFILE
    THREADS_HAVE_PTHREAD_ARG


-- Build files have been written to: 
/wrkdirs/usr/ports/devel/llbuild/work/.build
===========================================================================
=======================<phase: build          >============================
===>  Building for llbuild-s.2017.12.10
[1/107] /usr/bin/c++   
-I/wrkdirs/usr/ports/devel/llbuild/work/swift-llbuild-swift-DEVELOPMENT-SNAPSHOT-2017-12-10-a/include
 -I/usr/local/include -O2 -pipe -fstack-protector -fno-strict-aliasing 
-std=c++14 -fno-rtti -fno-exceptions -Wmost -Wdocumentation  
-Woverloaded-virtual -Wparentheses -Wswitch -Wunused-function -Wunused-variable 
-Wunused-value -Wempty-body -Wuninitialized -Wconstant-conversion 
-Wint-conversion -Wbool-conversion -Wenum-conversion -Wsign-compare 
-Wnewline-eof -Wdeprecated-declarations -Winvalid-offsetof -Wnon-virtual-dtor 
-fPIC -O2 -pipe -fstack-protector -fno-strict-aliasing -MD -MT 
lib/llvm/Support/CMakeFiles/llvmSupport.dir/Allocator.cpp.o -MF 
lib/llvm/Support/CMakeFiles/llvmSupport.dir/Allocator.cpp.o.d -o 
lib/llvm/Support/CMakeFiles/llvmSupport.dir/Allocator.cpp.o -c 
/wrkdirs/usr/ports/devel/llbuild/work/swift-llbuild-swift-DEVELOPMENT-SNAPSHOT-2017-12-10-a/lib/llvm/Support/Allocator.cpp
FAILED: lib/llvm/Support/CMakeFiles/llvmSupport.dir/Allocator.cpp.o 
/usr/bin/c++   
-I/wrkdirs/usr/ports/devel/llbuild/work/swift-llbuild-swift-DEVELOPMENT-SNAPSHOT-2017-12-10-a/include
 -I/usr/local/include -O2 -pipe -fstack-protector -fno-strict-aliasing 
-std=c++14 -fno-rtti -fno-exceptions -Wmost -Wdocumentation  
-Woverloaded-virtual -Wparentheses -Wswitch -Wunused-function -Wunused-variable 
-Wunused-value -Wempty-body -Wuninitialized -Wconstant-conversion 
-Wint-conversion -Wbool-conversion -Wenum-conversion -Wsign-compare 
-Wnewline-eof -Wdeprecated-declarations -Winvalid-offsetof -Wnon-virtual-dtor 
-fPIC -O2 -pipe -fstack-protector -fno-strict-aliasing -MD -MT 
lib/llvm/Support/CMakeFiles/llvmSupport.dir/Allocator.cpp.o -MF 
lib/llvm/Support/CMakeFiles/llvmSupport.dir/Allocator.cpp.o.d -o 
lib/llvm/Support/CMakeFiles/llvmSupport.dir/Allocator.cpp.o -c 
/wrkdirs/usr/ports/devel/llbuild/work/swift-llbuild-swift-DEVELOPMENT-SNAPSHOT-2017-12-10-a/lib/llvm/Support/Allocator.cpp
error: invalid value 'c++14' in '-std=c++14'
ninja: build stopped: subcommand failed.
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/llbuild
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to